GSI Forum
GSI Helmholtzzentrum für Schwerionenforschung

Home » PANDA » PandaRoot » Bugs, Fixes, Releases » Error Installation PandaRoot oct19 on Kronos
Error Installation PandaRoot oct19 on Kronos [message #24481] Fri, 15 November 2019 10:25 Go to next message
Iman Keshk is currently offline  Iman Keshk
Messages: 12
Registered: February 2018
occasional visitor
From: *ep1.ruhr-uni-bochum.de
Dear all,

i am trying to install the new PandaRoot release oct19 on Kronos with fairsoft/jun19p1 and fairroot/v18.2.0_fairsoft-jun19p1. When i run "cmake" i get the error below. Did anyone experience the same problem and knows how to solve it?

Best regards,
Iman


-- The C compiler identification is GNU 4.9.2
-- The CXX compiler identification is GNU 4.9.2
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- The Fortran compiler identification is GNU
-- Check for working Fortran compiler: /usr/bin/gfortran
-- Check for working Fortran compiler: /usr/bin/gfortran -- works
-- Detecting Fortran compiler ABI info
-- Detecting Fortran compiler ABI info - done
-- Checking whether /usr/bin/gfortran supports Fortran 90
-- Checking whether /usr/bin/gfortran supports Fortran 90 -- yes
-- NOT Found FAIRBASE
-- Setting FairRoot environment...
-- FairRoot ... - found
/cvmfs/fairroot.gsi.de/fairroot/v18.2.0_fairsoft-jun19p1
-- FairRoot Library
directory : /cvmfs/fairroot.gsi.de/fairroot/v18.2.0_fairsoft-
jun19p1/lib
-- FairRoot Include
path... : /cvmfs/fairroot.gsi.de/fairroot/v18.2.0_fairsoft-
jun19p1/include
-- FairRoot Cmake
Modules : /cvmfs/fairroot.gsi.de/fairroot/v18.2.0_fairsoft-
jun19p1/share/fairbase/cmake
CMAKE_Fortran_COMPILER full path: /usr/bin/gfortran
Fortran compiler: gfortran
Set BuildType DEBUG
-- fairsoft-config found
--- Found a Linux system
--- Found GNU compiler collection
CMake Error at CMakeLists.txt:218 (if):
if given arguments:

"FairRoot_VERSION" "VERSION_GREATER_EQUAL" "18.2"

Unknown arguments specified


-- Configuring incomplete, errors occurred!

---------------------------------------------------

Line 218 in CMakeLists.txt:


218 if(FairRoot_VERSION VERSION_GREATER_EQUAL 18.2)
219 # Check if the external packages are installed into a
separate install
220 # directory
221 CHECK_EXTERNAL_PACKAGE_INSTALL_DIR()
222
223 # searches for needed packages
224 # REQUIRED means that cmake will stop if this packages are
not found
225 # For example the framework can run without GEANT4, but
ROOT is
226 # mandatory



Re: Error Installation PandaRoot oct19 on Kronos [message #24482 is a reply to message #24481] Fri, 15 November 2019 14:10 Go to previous messageGo to next message
Johannes Kellers is currently offline  Johannes Kellers
Messages: 2
Registered: October 2018
Location: Münster
occasional visitor
From: *nwz.wwu.de
Yes, i had the same problem. In CMakeLists.txt i just changed the value of the condition to "1" (if(FairRoot_VERSION VERSION_GREATER_EQUAL 18.2) to if(1)) and after that it compiles. I know that now the check for the FairRoot version misses, but if you are sure that your FairRoot Version is the correct one then it should be no problem.
Re: Error Installation PandaRoot oct19 on Kronos [message #24486 is a reply to message #24481] Fri, 15 November 2019 14:46 Go to previous messageGo to next message
Iman Keshk is currently offline  Iman Keshk
Messages: 12
Registered: February 2018
occasional visitor
From: *ep1.ruhr-uni-bochum.de
Yes it works! Thank you!
Re: Error Installation PandaRoot oct19 on Kronos [message #24492 is a reply to message #24481] Thu, 21 November 2019 03:12 Go to previous message
Ralf Kliemt is currently offline  Ralf Kliemt
Messages: 507
Registered: May 2007
Location: GSI, Darmstadt
first-grade participant

From: 122.10.101*
Hello,

The issue seems to be a too old version of CMake. FairSoft builds its own CMake in that case, which is not known to your shell by default. Just use the $SIMPATH/bin/cmake and it should work just fine.

Cheers!
Ralf
Previous Topic: Problems FairAsciiGenerator dec18
Next Topic: Bremsstrahlung-Corrections
Goto Forum:
  


Current Time: Thu Oct 28 00:36:43 CEST 2021

Total time taken to generate the page: 0.02016 seconds